Subject: Connection, Circuit and all that

From: Robin Layland <[email-masked]>
Date: Tue, 20 Jul 93 00:23 GMT

I am a little confused. (maybe a lot)
 
Is a circuit in the RFC between two end-station or is it between the DLSw
routers.

!--------------------------------------------------A----------------------------
-------------------------!
                                  !-------------------B------------------!
 
 End                      DLSw                               DLSw               
End
Station-----------------Router--------Network-------
Router-------------------------Station
 (PC)
 
Is A called a connection or a circuit?
 
Is B call a connection or a circuit?
 
I want to be clear as we seem to be messing up on terms.
 
I think B is a circuit and A is the connection. I think this because of
statement in the RFC like "To establish a connection, the origin station sends a
SABME command" (page 10, 4 paragraph). But I can see connection being used
because of statements like "Before Data Link Switching can occur between two
routers, they must establish a TCP connection between them" (page 5, first
paragraph).
 
We need a common language, we need this not just between use but so that we will
not confuse the world when we explain DLSw.
 
Let get a ruling (I don't know from who) or have a definition put in the RFC
(best).
 
For now, let the Chairman decide on terms and go from there.
 
Robin